#include <bits/stdc++.h>

using namespace std;

int main()
{
    int h,w;
    scanf("%d%d",&h,&w);
    char a[h][w];
    for(int i=0;i<h;i++){
        for(int j=0;j<w;j++){
            scanf("%c",a[i][j]);
        }
    }
    printf("5");
    return 0;
}